; This file is a prototype for the .INI file you can
; use to run WinBench 96 in batch mode (i.e. non-interactively).
;
; To run WinBench 96 in batch mode, use the command line:
;
;    WB96 AUTO filename.ini
;
; The file named "filename.ini" supplies WinBench 96's environment
; settings, the tests WinBench 96 will run, and the names of
; its results files.
;
; You can copy and edit this file to reflect the environment
; settings for your computer. You can also create a suite
; file that describes the tests you want to run and refer to
; it in the StepN section(s) below. Change the settings in the
; StepN section(s) to specify the names of your result files.

[Environment]

; Normally WinBench 96 remembers any changes you make to the
; environment settings using the Disclosure Questionnaire in
; the DISCLOSE.INI file.  You can override the settings in the
; DISCLOSE.INI file by copying entries from the ChangedByUser
; or NotChangedByUser sections in the DISCLOSE.INI file to
; this section and modifying them.

; In addition, you can use DOS environment variables to override
; some of the entries in DISCLOSE.INI. The table below identifies
; the entries and their associated DOS environment variables.

;       Entry                   Environment Variable
;
;       PIN                     PIN
;       Variant1                VARIANT1
;       Variant2                VARIANT2
;       Variant3                VARIANT3
;       Variant4                VARIANT4
;       Variant5                VARIANT5
;       Project                 PROJECT
;       Tester Name             TESTER
;       Tester Organization     TESTORG

; WinBench 96 contains tests that, with your help, can determine
; an appropriate value for the following fields. You can enable
; these tests by removing the semicolon (;) at the beginning of
; each line.

;Display Refresh Rate=Determine With Test
;Display Cursor Type=Determine With Test
;Display Color Reproduction=Determine With Test

[Options]

; Setting ExitWindows to True causes WinBench 96 to exit Windows
; when WinBench 96 terminates. The default value is False, so
; WinBench 96 normally exits and leaves Windows running.

ExitWindows=False

; Setting ExitBenchmark to True causes WinBench 96 to exit when
; it completes all its tests. The default value is True,
; so WinBench 96 normally stops after completing its tests.

ExitBenchmark=True

; Setting DemoMode to True causes WinBench 96 to run the test suite
; specified in the first step in demo mode.  The default
; value is False.
; WinBench 96 will not save any results when it runs in demo mode,
; and it will ignore the ExitWinBench and ExitWindows settings,
; as well as all sections named [StepN], where N is larger than 1.

DemoMode=False

; Setting these two options to True causes WinBench 96 to check the
; Configuration Information.

Display tips before testing=False
Display custom configuration before testing=False

; If you enable the custom configuration above, you must supply the
; full path name of the custom configuration file in the next item.

Custom configuration file=pathname

[Messages]

; InitMessage contains a time-out value in seconds and a string
; that WinBench 96 displays in a message box after it starts. This
; field is optional.

; A time-out value of 0 indicates that WinBench 96 will display the
; message box until the tester closes that box. WinBench 96 replaces
; tilde characters (~) with line breaks in the actual message
; box.

InitMessage=10,WinBench 96 is starting.

[StepN]

; Repeat the StepN section as many times as you want, with N
; starting at 1 and increasing. Each section specifies a suite
; of tests to run, options WinBench 96 should use during those
; tests, and results files to save. You can also specify comparison
; machines you wish to use in the Chart and Table of Results.
; This option is useful, however, only in the last StepN section.

; The Suite setting specifies the path name of the suite
; file that contains the list of tests to run and/or display.
; The CUSTOM.WBS suite contains all tests.  You can create
; additional suite files by using the Suite/Create menu item.
;
; Every Step section must have a Suite setting.

Suite=c:\zdbench\wb96\suites\custom.wbs

; WinBench 96 adds the following fields to the results file. You
; would normally change them by using the Disclosure Questionnaire 
; window. These fields let you change the Description and Comments 
; for each Step. You can set these fields in the Environment
; section above or use different values for each step.

;Description=Tester Must Supply
;Comments=Tester Must Supply

; Setting ClearResults to False prevents WinBench 96 from forgetting
; all results from previous steps.  The default value is True,
; meaning WinBench 96 will forget all previous results at the start
; of the step.

ClearResults=True

; Setting DontRunTests to True prevents WinBench 96 from running
; the tests specified in the Suite.  This option is useful for
; displaying results from comparison machines without running
; the tests. The default value is False, meaning WinBench 96 will
; run its tests.

DontRunTests=False

; The CompareN entries specify up to four comparison machine
; results files you wish to use in the Table and Chart of
; Results.  These settings are all optional.

;Compare1=c:\zdbench\wb96\exports\results1.txt
;Compare2=c:\zdbench\wb96\exports\results2.txt
;Compare3=c:\zdbench\wb96\exports\results3.txt
;Compare4=c:\zdbench\wb96\exports\results4.txt
;Compare5=c:\zdbench\wb96\exports\results5.txt

; Setting IncludeResults to False prevents WinBench 96 from
; displaying the current results in the Chart of Results
; window.  You must specify at least one comparison machine
; to exclude the current results. The default value is True,
; meaning WinBench 96 will display the current results in the
; Chart of Results window.

IncludeResults=True

; StartMessage and EndMessage contain a time-out value in
; seconds and a string WinBench 96 displays in a message box
; at the beginning and end of the Step, respectively. Both
; messages are optional. A time-out value of 0 indicates
; WinBench 96 will display the message box until the tester
; closes that box. WinBench 96 replaces tilde characters (~)
; with line breaks in the message box.

StartMessage=10,WinBench 96 is about to start running the custom suite.
EndMessage=10,WinBench 96 has saved the results in the file~RESULTS.TXT.

; You may define test settings below.

; The 'Disk Drive' setting specifies which drive WinBench 96 should use
; for all of the disk tests.

;Disk Drive=C

; The 'CD-ROM Drive' setting specifies which drive WinBench 96 should use
; for all of the CD-ROM and Video tests.

;CD-ROM Drive=D

; The Video settings control how WinBench 96 plays video clip files.  Some
; settings have special values.  For example the 'Playback Directory'
; setting can be a path (e.g. C:\TEMP) or the constant 'DoNotCopyBeforePlay'
; to specify that WinBench 96 should play the video clip from the CD-ROM.
;
;       Video:Playback Directory  Directory path to which WinBench 96 copies
;                                 the video clips and from which WinBench 96 
;                                 plays the video clips or 'DoNotCopyBeforePlay'.
;                                 This setting let you run the video clips
;                                 from a local or network drive instead of
;                                 a CD-ROM drive.
;       Video:Compute FPS         Enables or disables WinBench 96's
;                                 computation of the maximum display rate
;                                 (frames per second). Valid values are
;                                 'Yes' and 'No'. The default value is 'Yes'.
;       Video:Compute Utilization Enables or disables WinBench 96's
;                                 computation of the CPU utilization. Valid
;                                 values are 'Yes' and 'No'.  The default
;                                 value is 'Yes'.
;
; For example, the following setting tells WinBench 96 to copy all video
; clips to the TEMP directory on drive C before playing them.

;Video:Playback Directory=C:\TEMP

; The following setting prevents WinBench 96 from computing the maximum
; display for all video tests.

;Video:Compute FPS=no

; The following setting prevents WinBench 96 from computing the CPU
; utilization for all video tests.

;Video:Compute Utilization=no

; The following settings are only valid for the 'User Supplied Video Clip'
; video test. You must specify the 'Video Clip Path' setting for the 'User
; Supplied Movie' video test.
;
;       Video/User Supplied Video Clip:Video Clip Path
;                                 The path(s) to the video clip file(s) you
;                                 want WinBench 96 to play. Separate each 
;                                 path and file name with semicolons.
;       Video/User Supplied Video Clip:Scale Factor
;                                 X,Y scale factors or 'FullScreen'.
;                                 For example '0.5,0.5' plays the video clip
;                                 at half its original size. The default is
;                                 '1,1'. 'FullScreen' scales the video clip
;                                 to completely fill the WinBench 96 main
;                                 window.
;       Video/User Supplied Video Clip:Alignment
;                                 Specifies the X and Y alignment of the
;                                 window. A value of 0 aligns the video clip
;                                 window on an 8-pixel boundary. A value of
;                                 7 aligns the window 7 pixels to the right
;                                 or below an 8-pixel boundary. The default
;                                 value is '0,0'.
;       Video/User Supplied Video Clip:Clipping Windows
;                                 A string in the form 'N,X,Y,WIDTH,HEIGHT'
;                                 where N is the video clip index (1-4) the
;                                 window is relative to; X and Y are the window
;                                 coordinates specified as percentages of the
;                                 movie size; WIDTH and HEIGHT are the window
;                                 size specified as percentage of the video
;                                 clip size.  For example '1,0,0,50,100'
;                                 creates a window that would clip the left
;                                 half (50% width, Full height) of the first
;                                 video clip. The default value '0,0,0,0,0'
;                                 uses no clipping windows.
;
; The following setting tells WinBench 96 to play the video clip C:\AVI\TEST.AVI
; when you run the User Supplied Video Clip test, scale the video clip by a
; factor of two in height and width, play the video clip in an unaligned window,
; and use a clipping window.

;Video/User Supplied Video Clip:Video Clip Path=C:\AVI\TEST.AVI
;Video/User Supplied Video Clip:Scale Factor=2,2
;Video/User Supplied Video Clip:Alignment=1,1
;Video/User Supplied Video Clip:Clipping Windows=1,0,0,50,100

; You may save results from this step in a database by
; uncommenting the Database setting and changing the
; path name of the database directory.

;Database=c:\zdbench\results.zdb

; Edit the settings below by changing the file name and
; directory name to specify the results files you want
; to produce.  Comment out any settings for result files
; you do not want. You can produce all three types of
; result files or any subset of the results files you like.

;TextFile=c:\zdbench\wb96\exports\results.txt
;XLSFile=c:\zdbench\wb96\exports\results.xls
;CSVFile=c:\zdbench\wb96\exports\results.csv

[StepN+1]

; Repeat the StepN settings as many times as you want.
